Package com.nwalsh.saxon

# Class Callout

java.lang.Object
com.nwalsh.saxon.Callout

All Implemented Interfaces:
  `Comparable`

public class Callout extends Object implements Comparable

A class for maintaining information about callouts.

To make processing callouts easier, they are parsed out of the input structure and stored in a sorted array. (The array is sorted according to the order in which the callouts occur.)

This class is just the little record that we store in the array for each callout.

## Constructor Summary

Constructors
Constructor
Description
`Callout(int callout, Element area, int line, int col)`
The constructor; initialize the private data structures.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`
The compareTo method compares this Callout with another.
`Element`
`getArea()`
Access the Callout's area.
`int`
`getCallout()`
Access the Callout's callout number.
`int`
`getColumn()`
Access the Callout's column.
`int`
`getLine()`
Access the Callout's line.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Callout

public Callout(int callout, Element area, int line, int col)
The constructor; initialize the private data structures.

## Method Details

### compareTo

public int compareTo(Object o)

The compareTo method compares this Callout with another.

Given two Callouts, A and B, A invalid input: '<' B if:

1. A.line invalid input: '<' B.line, or
2. A.line = B.line invalid input: '&'invalid input: '&' A.col invalid input: '<' B.col, or
3. A.line = B.line invalid input: '&'invalid input: '&' A.col = B.col invalid input: '&'invalid input: '&' A.callout invalid input: '<' B.callout
4. Otherwise, they're equal.

Specified by:
  `compareTo` in interface `Comparable`

### getArea

public Element getArea()
Access the Callout's area.

### getLine

public int getLine()
Access the Callout's line.

### getColumn

public int getColumn()
Access the Callout's column.

### getCallout

public int getCallout()
Access the Callout's callout number.